%define name gtapecalc
%define version 0.3.8
%define release 2mdk

Name: %{name}
Summary: A calculator with output window
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Office	
URL: http://gtapecalc.sourceforge.net/
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Prefix: /usr
PreReq: /sbin/install-info

%description
Gtapecalc is a simple calculator with the added feature of an output window
that displays calculations like the paper tape of a desktop calculator.
You can add notes on the same line as a calculation and Save, Open, and Print
 the tapes that you make.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
        --prefix=%{prefix}

if [ -x /usr/bin/getconf ] ; then
    NRPROC=$(/usr/bin/getconf _NPROCESSORS_ONLN)
    if [ $NRPROC -eq 0 ] ; then
        NRPROC=1
    fi
else
    NRPROC=1
fi      

make -j $NRPROC

#make -j 2

%install
make install prefix=$RPM_BUILD_ROOT%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%pre
if ! [ -d %{prefix}/info/list ]; then
  mkdir -p -m 755 %{prefix}/info/list 
fi

%post
if [ -f %{prefix}/info/list/%{name}.list ]; then
  LIST=$(cat %{prefix}/info/list/%{name}.list)
  install-info $LIST --dir-file=%{prefix}/info/dir 2> /dev/null 
fi

%preun
if [ -f %{prefix}/info/list/%{name}.list ]; then
  LIST=$(cat %{prefix}/info/list/%{name}.list)
  install-info --delete $LIST --dir-file=%{prefix}/info/dir 2> /dev/null 
fi

%files 
%defattr(-,root,root)
/usr/bin
%dir /usr/share/gtapecalc
%dir /usr/share/gtapecalc/doc
%dir /usr/share/gtapecalc/pixmaps
/usr/share/gtapecalc/doc/*
/usr/share/gtapecalc/pixmaps/*

%changelog
* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.8-2mdk
- fix files section
- fix group

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- mandrake build
